Empathy Help

Empathy

Welcome to Empathy help!

Empathy is a special utility allowing you to password-protect any executable file. Empathy can modify an EXE file so that it will require a password to run. Only a person knowing the password will be allowed to run the protected program. Protected files stay protected if you copy them to another location or even to another computer, no matter which operating system do they use.

Empathy allows you to protect potentially dangerous programs against running by an unauthorized person. You can use it to protect executable files in public places like schools, internet coffees or even homes.

Protected files can be run under Windows NT 3.51, Windows NT 4, Windows 2000, Windows XP, Windows Server 2003, Windows Vista, Windows 95, Windows 98 and Windows Me.

Empathy is postcardware. You can use it freely for an unlimited period, but if you want to use it with all functions, you have to register it by sending me a paper postcard.

After receiving the postcard, I will send you an unlocking code by e-mail. More information is available in the registration section.


How to register

Empathy is postcardware. This means that if you want to use it with all fuctions (the possibility to use more than one character-long password), you have to register it by sending me a paper postcard.

After receiving the postcard I will send you a special code by e-mail to unlock the advanced funcionality.

My address is:

 Michal Strehovsky
 Pri panorame 28
 Komarno, 945 01
 Slovakia

Do not forget to supply your name and your e-mail address. Without this information I will not be able to send the code to you.


What's new?

Version 2.1
  • reestablished compatibility with Windows 95, 98 and Me
Version 2.01
  • a quick hotfix of an odd bug
Version 2.0
  • code injection mechanism fully reprogrammed
  • improved compatibility
  • better graphics
  • EmpaLib.dll no longer required by protected programs
  • Windows 95, 98 and Me no longer supported
  • drag&drop support

Version 1.0
  • first version


Contact

E-mail: mail@migeel.sk
Web: www.migeel.sk

SnailMail: Michal Strehovský, Pri panoráme 28, Komárno, 945 01, Slovakia


License agreement

Empathy,
Copyright (c) 2003-2005, 2007, Michal Strehovský
All rights reserved.

THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
DEALINGS IN THE SOFTWARE.


Using Empathy

To protect a file, select it using the "..." button. Fill your password in the Password box and re-enter it in then Re-enter password box. Then click the Protect button. From now on the file is protected and it will not be possible to run it without the knowledge of the password.

To remove the protection, select the protected file using the "..." button. Fill your password in the Password box and click the Unprotect button. If the password is correct, the file is now unprotected.

It is a good practice to have the Create a backup before processing checkbox checked. In case of any problems, you can recover the working file from a backup located in the same directory as the original file (a .BAK file extension will be added to it's name).


Frequently Asked Questions

Q: Protected file does not work.
A: It is not possible to make Empathy compatible with every EXE file. Now and then it happens that a protected file does not work any more. You can recover the original file from a backup created by Empathy. The file is in the same directory as the original file. A "BAK" file extension is appended to it's name.

Q: When I run the protected file, nothing happens.
A: This file is not supported. Recover the original file from backup.